<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <link rel="shortcut icon" type="image/x-icon" href="{% if g.images %}{{url_for('static', filename='uploads/{}'.format(g.images.favicon))}}{% else %}{{url_for('static',filename='img/favicon.png')}}{% endif %}">
        <title>  {% if title %}{{ title }} - {% if g.company %}{{ g.company.company_name }}{% else %}Skye Technologies{% endif %}{% else %}{{ 'Welcome to Gigi motors' }}{% endif %}</title>
        {%block css%}
        <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600,700" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/bootstrap.min.css')}}">
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/font-awesome.min.css')}}">
		    <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='plugins/morris/morris.css')}}">
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/select2.min.css')}}">
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/bootstrap-datetimepicker.min.css')}}">
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/dataTables.bootstrap.min.css')}}">
        <link rel="stylesheet" href="{{url_for('static',filename='css/alertify.min.css')}}"/>
        <link rel="stylesheet" href="{{url_for('static',filename='css/default.min.css')}}"/>
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/iconselect.css')}}">
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/style.css')}}">

        {% endblock %}
    </head>
    <body>
        <div class="main-wrapper">
            {% include 'includes/header-navigation.html' %}
            {% include 'includes/sidebar-navigation.html' %}

            <div class="page-wrapper">
              {% with messages = get_flashed_messages(with_categories=True) %}
              {% if messages %}
                {% for category, msg in messages %}
                  <div class="alert alert-{{ category }}" role="alert">
                      {{ msg }}
                  </div>
              {% endfor %}
              {% endif %}
              {% endwith %}
              {% block content%}
              {%endblock%}
			      </div>
        </div>
		<div class="sidebar-overlay" data-reff="#sidebar"></div>
    {% block scripts %}
  <script type="text/javascript" src="{{url_for('static', filename='js/jquery-3.2.1.min.js')}}"></script>
  <script type="text/javascript" src="{{url_for('static', filename='js/bootstrap.min.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='js/jquery.slimscroll.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='plugins/morris/morris.min.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='plugins/raphael/raphael-min.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='js/app.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='js/select2.min.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='js/moment.min.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='js/bootstrap-datetimepicker.min.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='js/jquery.dataTables.min.js')}}"></script>
<script type="text/javascript" src="{{url_for('static', filename='js/dataTables.bootstrap.min.js')}}"></script>
<script src="{{url_for('static', filename='js/alertify.min.js')}}"></script>
<script src="{{url_for('static', filename='js/session.js')}}"></script>
<script src="{{url_for('static', filename='js/iconselect.js')}}"></script>
<script src="{{url_for('static', filename='js/iscroll.js')}}"></script>
<script src="{{url_for('static', filename='js/task.js')}}"></script>
<script src="{{url_for('static', filename='js/printThis.js')}}"></script>
  <script src="{{url_for('static', filename='js/jspdf.min.js')}}"></script>
  <script src="{{url_for('static', filename='js/html2canvas.min.js')}}"></script>
<script src="https://cdn.rawgit.com/prashantchaudhary/ddslick/master/jquery.ddslick.min.js"></script>
{{ moment.include_moment() }}
<script>
          $(document).ready(function() {
          var csrftoken = "{{ csrf_token() }}"
          $.ajaxSetup({
            beforeSend: function(xhr, settings) {
                if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                    xhr.setRequestHeader("X-CSRFToken", csrftoken)
                }
            }
          })
          $('#print').on("click", function () {
            $('.panel-body').printThis();
          });

          $('#pdf').on("click", function () {
            html2canvas($('.panel-body')[0],{scale:3}).then( function (canvas) {
              var imgData = canvas.toDataURL("image/jpeg", 1.0);
              var pdf = new jsPDF('p','pt','a4');
               pdf.addImage(imgData, 'JPEG', 10, 10, 550, 600);
               pdf.save("{% if bill%}{{bill.bill_no}}{%elif invoice%}{{invoice.invoice_no}}{%elif quotation%}{{quotation.quotation_no}}{%elif payment%}{{payment.payment_no}}{%endif%}.pdf");
            });
          });
          });
function delete_row(id, table, destElem) {
            alertify.confirm( 'Confirm deletion', 'Are you sure you want to delete '+table+'?', function() {
              $.post('/admin/delete', {
                  id: id,
                  table:table
              }).done(function(response) {
                if(response['status'] == 1){
                  alertify.success(table+' deleted successfully');
                  $(destElem).remove();
                }else if (response['status'] == 0) {
                  alertify.error(response['message'])
                }
              }).fail(function(XMLHttpRequest, textStatus, errorThrown) {
                  alertify.error("Status: " + textStatus); alertify.error("Error: " + errorThrown);
              });
            }, function() {
               alertify.error('Cancelled') });
               var csrftoken = "{{ csrf_token() }}"
               $.ajaxSetup({
                 beforeSend: function(xhr, settings) {
                     if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                         xhr.setRequestHeader("X-CSRFToken", csrftoken)
                     }
                 }
             })
        }
         $(".form-control").on('change', function postinput(){
               var oldrow = $("#products-table").find("[data-toggle=fieldset-entry]:last");
               var row = oldrow.clone(true, true);
               var elem_id = row.find(":input")[0].id;
               var elem_num = parseInt(elem_id.replace(/.*-(\d{1,4})-.*/m, '$1')+1);

               var total_amount=0
                for(var x=0;x < elem_num;x++)
                {

                  var price = $("input[name=products-"+[x]+"-price]").val();
                  var quantity= $("input[name=products-"+[x]+"-quantity]").val();

                  if(price != ''  && quantity != '' && isNaN(price) == false && isNaN(quantity) == false  )
                  {

                    total=price * quantity;
                    total_amount =total + total_amount
                    $("input[name=products-"+[x]+"-total]").val(total)
                  }
                }
                    $("input[name=amount]").val(total_amount)
              });


</script>
{% endblock %}
    </body>
</html>
